import os
from flask import Blueprint, render_template, send_from_directory
from data.document import get_document_root

from data.document import Document

bp = Blueprint('web_document', __name__, url_prefix='/doc')

@bp.route('/<origin>/<doc_name>/<branch>/<path:path>')
def index(origin, doc_name, branch, path):
	doc = Document(origin, doc_name, branch)
	return send_from_directory(doc.doc_path + "/dist", path)
